<?php

/* Essential Foto v0.9 - Copyright 2017 Matthew Shockey. Freely distributed under the GPLv3 or later. http://EssentialFoto.com */


/* Load CSS */
add_action('wp_enqueue_scripts', 'essentialfoto_load_css');
function essentialfoto_load_css() {
wp_enqueue_style( 'twentythirteen-style', get_template_directory_uri() . '/style.css' );
wp_enqueue_style( 'essentialfoto-style', get_stylesheet_uri() );
wp_enqueue_style( 'essentialfoto-easy-customization', get_stylesheet_directory_uri() . '/easy-customization.css' );
}


/* Disable Google Fonts in Twenty Thirteen */
add_action( 'wp_enqueue_scripts', 'essentialfoto_no_google_fonts', 15 );
function essentialfoto_no_google_fonts() {
wp_dequeue_style( 'twentythirteen-fonts' ); /* Remove Google Fonts on font-end. */
}
add_action( 'after_setup_theme', 'essentialfoto_no_google_fonts_in_editor', 15 );
function essentialfoto_no_google_fonts_in_editor() {
remove_editor_styles(); /* Remove the back-end editor style sheets... */
add_editor_style( array(
get_template_directory_uri() . '/css/editor-style.css',
get_template_directory_uri() . '/genericons/genericons.css'
) );   /* ...and restore all except the one for Google Fonts. */
}
